#version 450 core

layout(push_constant) uniform PushConstants {
    mat4 MVP;
} Push;

layout(location = 0) in vec3 Position_modelspace;
layout(location = 1) in vec4 Color_model;

layout(location = 0) out vec4 Color;

void main(){
	gl_Position = Push.MVP * vec4(Position_modelspace, 1);
	Color = Color_model;
}

