#version 450 core

layout(push_constant) uniform PushConstants {
    mat4 View;
    mat4 Projection;
} Push;

layout (location = 0) in vec3 Position_modelspace;

layout (location = 0) out vec3 UV;

void main(){
    UV = Position_modelspace;
    gl_Position = (Push.Projection * Push.View * vec4(Position_modelspace, 1.0)).xyww;
}