#pragma once

#include <volk.h>

namespace buffer::vk {

class MemoryArea {

private:
    VkDeviceMemory ref;
    size_t size;
    std::vector<>
};
class Buffer {

private:
    std::weak_ptr<>
    VkBuffer ref;

    size_t offset;
    size_t size;

    // Only is mappable
    void* data = nullptr;
};

}